=== debian/changelog ===
asusctl (6.0.12-11) plucky; urgency=medium

  * Initial version upload. (LP: #2094129)

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Fri, 24 Jan 2025 15:33:00 -0600
