=== debian/control ===
Source: asusctl
Section: utils
Priority: optional
Maintainer: Mitchell Augustin <mitchell@mitchellaugustin.com>
Uploaders: Frank Heimes <fheimes@ubuntu.com>
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 dh-cargo,
 dh-exec,
 libclang-dev,
 libudev-dev,
 libfontconfig-dev,
 libxkbcommon-dev,
 libseat-dev,
 libinput-dev,
 libgbm-dev,
 cmake,
 rustc,
 libstd-rust-dev,
 quilt
Standards-Version: 4.7.0
Homepage: https://gitlab.com/asus-linux/asusctl
Rules-Requires-Root: no
XS-Build-Indep-Architecture: amd64
XS-Vendored-Sources-Rust: ab_glyph@0.2.28, ab_glyph_rasterizer@0.1.8, addr2line@0.22.0, adler2@2.0.0, adler@1.0.2, ahash@0.8.11, aho-corasick@1.1.3, allocator-api2@0.2.18, android-activity@0.6.0, android-properties@0.2.2, android-tzdata@0.1.1, android_system_properties@0.1.5, anyhow@1.0.86, arrayref@0.3.8, arrayvec@0.7.6, as-raw-xcb-connection@1.0.1, async-broadcast@0.7.1, async-channel@1.9.0, async-channel@2.3.1, async-executor@1.13.0, async-fs@1.6.0, async-fs@2.1.2, async-io@1.13.0, async-io@2.3.4, async-lock@2.8.0, async-lock@3.4.0, async-net@1.8.0, async-process@1.8.1, async-process@2.2.4, async-recursion@1.1.1, async-signal@0.2.10, async-stream-impl@0.3.5, async-stream@0.3.5, async-task@4.7.1, async-trait@0.1.81, atomic-waker@1.1.2, auto_enums@0.8.6, autocfg@1.3.0, axum-core@0.4.3, axum@0.7.5, backtrace@0.3.73, base64@0.21.7, base64@0.22.1, betrayer@0.2.0, bindgen@0.69.4, bit_field@0.10.2, bitflags@1.3.2, bitflags@2.6.0, block-buffer@0.10.4, block-sys@0.2.1, block2@0.4.0, block2@0.5.1, block@0.1.6, blocking@1.6.1, bumpalo@3.16.0, by_address@1.2.1, bytemuck@1.17.1, bytemuck_derive@1.7.1, byteorder-lite@0.1.0, byteorder@1.5.0, bytes@1.7.1, calloop-wayland-source@0.3.0, calloop@0.12.4, calloop@0.13.0, cargo-husky@1.5.0, cc@1.1.15, cesu8@1.1.0, cexpr@0.6.0, cfg-if@1.0.0, cfg_aliases@0.2.1, cgl@0.3.2, chrono@0.4.38, clang-sys@1.8.1, clipboard-win@3.1.1, clru@0.6.2, cocoa-foundation@0.1.2, cocoa@0.25.0, codemap-diagnostic@0.1.2, codemap@0.1.3, color_quant@1.1.0, combine@4.6.7, concat-idents@1.1.5, concurrent-queue@2.5.0, console-api@0.8.0, console-subscriber@0.4.0, const-field-offset-macro@0.1.5, const-field-offset@0.1.5, convert_case@0.4.0, copypasta@0.10.1, core-foundation-sys@0.8.7, core-foundation@0.9.4, core-graphics-types@0.1.3, core-graphics@0.23.2, core-text@20.1.0, countme@3.0.1, cpufeatures@0.2.13, crc32fast@1.4.2, critical-section@1.1.3, crossbeam-channel@0.5.13, crossbeam-deque@0.8.5, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.20, crunchy@0.2.2, crypto-common@0.1.6, ctor-lite@0.1.0, cursor-icon@1.1.0, data-url@0.3.1, deranged@0.3.11, derive_more@0.99.18, derive_utils@0.14.2, digest@0.10.7, dirs-next@2.0.0, dirs-sys-next@0.1.2, dirs-sys@0.3.7, dirs@4.0.0, dispatch@0.2.0, dlib@0.5.2, downcast-rs@1.2.1, dpi@0.1.1, drm-ffi@0.5.0, drm-fourcc@2.2.0, drm-sys@0.4.0, drm@0.9.0, dwrote@0.11.0, either@1.13.0, endi@1.1.0, enumflags2@0.7.10, enumflags2_derive@0.7.10, env_logger@0.10.2, equivalent@1.0.1, errno@0.3.9, euclid@0.22.11, event-listener-strategy@0.5.2, event-listener@2.5.3, event-listener@3.1.0, event-listener@5.3.1, exr@1.72.0, fastrand@1.9.0, fastrand@2.1.1, fdeflate@0.3.4, femtovg@0.9.2, field-offset@0.3.6, filetime@0.2.25, flate2@1.0.33, float-cmp@0.9.0, flume@0.11.0, fnv@1.0.7, fontconfig-parser@0.5.7, fontdb@0.18.0, fontdue@0.9.2, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.1, futures-channel@0.3.30, futures-core@0.3.30, futures-io@0.3.30, futures-lite@1.13.0, futures-lite@2.3.0, futures-sink@0.3.30, futures-task@0.3.30, futures-util@0.3.30, gbm-sys@0.2.2, gbm@0.12.0, generic-array@0.14.7, gethostname@0.4.3, getrandom@0.2.15, gettext-rs@0.7.0, gettext-sys@0.21.3, gif@0.12.0, gif@0.13.1, gimli@0.29.0, gl_generator@0.14.0, glam@0.22.0, glob@0.3.1, glow@0.13.1, glutin-winit@0.5.0, glutin@0.32.0, glutin_egl_sys@0.7.0, glutin_glx_sys@0.6.0, glutin_wgl_sys@0.6.0, gumdrop@0.8.1, gumdrop_derive@0.8.1, h2@0.4.6, half@2.4.1, hashbrown@0.12.3, hashbrown@0.14.5, hdrhistogram@7.5.4, heck@0.5.0, hermit-abi@0.3.9, hermit-abi@0.4.0, hex@0.4.3, home@0.5.9, http-body-util@0.1.2, http-body@1.0.1, http@1.1.0, httparse@1.9.4, httpdate@1.0.3, humantime@2.1.0, hyper-timeout@0.5.1, hyper-util@0.1.7, hyper@1.4.1, i-slint-backend-linuxkms@1.8.0, i-slint-backend-selector@1.8.0, i-slint-backend-winit@1.8.0, i-slint-common@1.8.0, i-slint-compiler@1.8.0, i-slint-core-macros@1.8.0, i-slint-core@1.8.0, i-slint-renderer-femtovg@1.8.0, i-slint-renderer-skia@1.8.0, iana-time-zone-haiku@0.1.2, iana-time-zone@0.1.60, icrate@0.1.2, idna@0.5.0, image@0.24.9, image@0.25.2, imagesize@0.12.0, imgref@1.10.1, indexmap@1.9.3, indexmap@2.4.0, inotify-sys@0.1.5, inotify@0.10.2, input-sys@1.18.0, input@0.8.3, instant@0.1.13, integer-sqrt@0.1.5, io-lifetimes@1.0.11, is-terminal@0.4.13, itertools@0.12.1, itertools@0.13.0, itoa@1.0.11, jni-sys@0.3.0, jni@0.21.1, jobserver@0.1.32, jpeg-decoder@0.3.1, js-sys@0.3.70, khronos_api@3.1.0, kurbo@0.11.0, lazy-bytes-cast@5.0.1, lazy_static@1.5.0, lazycell@1.3.0, lebe@0.5.2, libc@0.2.158, libloading@0.8.5, libm@0.2.8, libredox@0.0.2, libredox@0.1.3, libseat-sys@0.1.7, libseat@0.2.1, libudev-sys@0.1.4, libusb1-sys@0.7.0, linked-hash-map@0.5.6, linked_hash_set@0.1.4, linux-raw-sys@0.3.8, linux-raw-sys@0.4.14, locale_config@0.3.0, lock_api@0.4.12, log@0.4.22, logind-zbus@4.0.4, lru@0.12.4, lyon_algorithms@1.0.4, lyon_extra@1.0.2, lyon_geom@1.0.5, lyon_path@1.0.5, mac-notification-sys@0.6.1, malloc_buf@0.0.6, matchers@0.1.0, matchit@0.7.3, memchr@2.7.4, memmap2@0.8.0, memmap2@0.9.4, memoffset@0.9.1, metal@0.27.0, mime@0.3.17, minimal-lexical@0.2.1, miniz_oxide@0.4.4, miniz_oxide@0.7.4, miniz_oxide@0.8.0, mio@0.8.11, mio@1.0.2, nanorand@0.7.0, ndk-context@0.1.1, ndk-sys@0.6.0+11769913, ndk@0.9.0, nix@0.26.4, nix@0.27.1, nix@0.29.0, nom@7.1.3, notify-rust@4.11.1, num-conv@0.1.0, num-traits@0.2.19, num_enum@0.7.3, num_enum_derive@0.7.3, objc-foundation@0.1.1, objc-sys@0.3.5, objc2-app-kit@0.2.2, objc2-cloud-kit@0.2.2, objc2-contacts@0.2.2, objc2-core-data@0.2.2, objc2-core-image@0.2.2, objc2-core-location@0.2.2, objc2-encode@4.0.3, objc2-foundation@0.2.2, objc2-link-presentation@0.2.2, objc2-metal@0.2.2, objc2-quartz-core@0.2.2, objc2-symbols@0.2.2, objc2-ui-kit@0.2.2, objc2-uniform-type-identifiers@0.2.2, objc2-user-notifications@0.2.2, objc2@0.5.2, objc@0.2.7, objc_exception@0.1.2, objc_id@0.1.1, object@0.36.3, once_cell@1.19.0, orbclient@0.3.47, ordered-stream@0.2.0, owned_ttf_parser@0.24.0, parking@2.2.0, parking_lot@0.12.3, parking_lot_core@0.9.10, paste@1.0.15, percent-encoding@2.3.1, pico-args@0.5.0, pin-project-internal@1.1.5, pin-project-lite@0.2.14, pin-project@1.1.5, pin-utils@0.1.0, pin-weak@1.1.0, piper@0.2.4, pix@0.13.3, pkg-config@0.3.30, png@0.17.13, png_pong@0.8.2, polling@2.8.0, polling@3.7.3, portable-atomic@1.7.0, powerfmt@0.2.0, ppv-lite86@0.2.20, prettyplease@0.2.22, proc-macro-crate@3.2.0, proc-macro2@1.0.86, prost-derive@0.13.1, prost-types@0.13.1, prost@0.13.1, qoi@0.4.1, quick-xml@0.31.0, quick-xml@0.34.0, quote@1.0.37, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, raw-window-handle@0.6.2, rayon-core@1.12.1, rayon@1.10.0, redox_syscall@0.4.1, redox_syscall@0.5.3, redox_users@0.4.6, regex-automata@0.1.10, regex-automata@0.4.7, regex-syntax@0.6.29, regex-syntax@0.8.4, regex@1.10.6, resvg@0.42.0, rgb@0.8.48, ron@0.8.1, rowan@0.15.16, roxmltree@0.20.0, rusb@0.9.4, rustc-demangle@0.1.24, rustc-hash@1.1.0, rustc_version@0.4.1, rustix@0.37.27, rustix@0.38.35, rustversion@1.0.17, rustybuzz@0.14.1, ryu@1.0.18, same-file@1.0.6, scoped-tls-hkt@0.1.4, scoped-tls@1.0.1, scopeguard@1.2.0, sctk-adwaita@0.10.1, sdl2-sys@0.37.0, sdl2@0.37.0, semver@1.0.23, serde@1.0.209, serde_derive@1.0.209, serde_json@1.0.127, serde_repr@0.1.19, serde_spanned@0.6.7, sha1@0.10.6, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.2, simd-adler32@0.3.7, simplecss@0.2.1, siphasher@1.0.1, skia-bindings@0.75.0, skia-safe@0.75.0, slab@0.4.9, slint-build@1.8.0, slint-macros@1.8.0, slint@1.8.0, slotmap@1.0.7, smallvec@1.13.2, smithay-client-toolkit@0.19.2, smithay-clipboard@0.7.2, smol@1.3.0, smol_str@0.2.2, socket2@0.4.10, socket2@0.5.7, softbuffer@0.4.5, spin@0.9.8, spin_on@0.1.1, stable_deref_trait@1.2.0, static_assertions@1.1.0, strict-num@0.1.1, strum@0.26.3, strum_macros@0.26.4, supergfxctl@5.2.4, svgtypes@0.15.2, syn@1.0.109, syn@2.0.76, sync_wrapper@0.1.2, sync_wrapper@1.0.1, tar@0.4.41, tauri-winrt-notification@0.2.1, temp-dir@0.1.13, tempfile@3.12.0, termcolor@1.4.1, text-size@1.1.1, thiserror-impl@1.0.63, thiserror@1.0.63, thread_local@1.1.8, tiff@0.9.1, time-core@0.1.2, time@0.3.36, tiny-skia-path@0.11.4, tiny-skia@0.11.4, tiny-xlib@0.2.3, tinyvec@1.8.0, tinyvec_macros@0.1.1, tokio-macros@2.4.0, tokio-stream@0.1.15, tokio-util@0.7.11, tokio@1.39.3, toml@0.8.19, toml_datetime@0.6.8, toml_edit@0.22.20, tonic@0.12.2, tower-layer@0.3.3, tower-service@0.3.3, tower@0.4.13, tracing-attributes@0.1.27, tracing-core@0.1.32, tracing-subscriber@0.3.18, tracing@0.1.40, try-lock@0.2.5, ttf-parser@0.21.1, ttf-parser@0.24.1, typenum@1.17.0, typeshare-annotation@1.0.4, typeshare@1.0.3, udev@0.7.0, udev@0.8.0, udev@0.9.0, uds_windows@1.1.0, uhid-virt@0.0.7, uhidrs-sys@1.0.3, unicode-bidi-mirroring@0.2.0, unicode-bidi@0.3.15, unicode-ccc@0.2.0, unicode-ident@1.0.12, unicode-linebreak@0.1.5, unicode-normalization@0.1.23, unicode-properties@0.1.2, unicode-script@0.5.6, unicode-segmentation@1.11.0, unicode-vo@0.1.0, url@2.5.2, usvg@0.42.0, valuable@0.1.0, vcpkg@0.2.15, version-compare@0.1.1, version_check@0.9.5, versions@6.3.2, vtable-macro@0.2.0, vtable@0.2.0, waker-fn@1.2.0, walkdir@2.5.0, want@0.3.1, wasi@0.11.0+wasi-snapshot-preview1, wasm-bindgen-backend@0.2.93, wasm-bindgen-futures@0.4.43, wasm-bindgen-macro-support@0.2.93, wasm-bindgen-macro@0.2.93, wasm-bindgen-shared@0.2.93, wasm-bindgen@0.2.93, wayland-backend@0.3.6, wayland-client@0.31.5, wayland-csd-frame@0.3.0, wayland-cursor@0.31.5, wayland-protocols-plasma@0.3.3, wayland-protocols-wlr@0.3.3, wayland-protocols@0.32.3, wayland-scanner@0.31.4, wayland-sys@0.31.4, web-sys@0.3.70, web-time@1.1.0, weezl@0.1.8, which@4.4.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.9, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-core@0.52.0, windows-core@0.56.0, windows-implement@0.56.0, windows-interface@0.56.0, windows-result@0.1.2, windows-sys@0.45.0, windows-sys@0.48.0, windows-sys@0.52.0, windows-sys@0.59.0, windows-targets@0.42.2, windows-targets@0.48.5, windows-targets@0.52.6, windows-version@0.1.1, windows@0.56.0, windows_aarch64_gnullvm@0.42.2, windows_aarch64_gnullvm@0.48.5, windows_aarch64_gnullvm@0.52.6, windows_aarch64_msvc@0.42.2, windows_aarch64_msvc@0.48.5, windows_aarch64_msvc@0.52.6, windows_i686_gnu@0.42.2, windows_i686_gnu@0.48.5, windows_i686_gnu@0.52.6, windows_i686_gnullvm@0.52.6, windows_i686_msvc@0.42.2, windows_i686_msvc@0.48.5, windows_i686_msvc@0.52.6, windows_x86_64_gnu@0.42.2, windows_x86_64_gnu@0.48.5, windows_x86_64_gnu@0.52.6, windows_x86_64_gnullvm@0.42.2, windows_x86_64_gnullvm@0.48.5, windows_x86_64_gnullvm@0.52.6, windows_x86_64_msvc@0.42.2, windows_x86_64_msvc@0.48.5, windows_x86_64_msvc@0.52.6, winit@0.30.5, winnow@0.6.18, wio@0.2.2, x11-clipboard@0.9.2, x11-dl@2.21.0, x11rb-protocol@0.13.1, x11rb@0.13.1, xattr@1.3.1, xcursor@0.3.8, xdg-home@1.3.0, xkbcommon-dl@0.4.2, xkbcommon@0.7.0, xkeysym@0.2.1, xml-rs@0.8.21, xmlwriter@0.1.0, zbus@4.4.0, zbus_macros@4.4.0, zbus_names@3.0.0, zerocopy-derive@0.7.35, zerocopy@0.7.35, zune-inflate@0.2.54, zvariant@4.2.0, zvariant_derive@4.2.0, zvariant_utils@2.1.0
# asusctl, asusd, rog-control-center

Package: asusctl
Architecture: amd64
Priority: important
Depends:
 asusd (= 6.0.12-11),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Control fan speeds, LEDs, graphics modes, and charge levels for ASUS notebooks
 This package contains asusctl, a userspace command line utility that can
 be used to control fan curves, LEDs, graphics modes, and charge levels
 for ASUS notebooks.

Package: asusd
