=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%asusctl-$1.tar.gz%" \
      https://github.com/flukejones/asusctl/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
